Package org.apache.maven.scm.provider.cvslib

## Class AbstractCvsScmTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.provider.cvslib.AbstractCvsScmTest

All Implemented Interfaces:
  `junit.framework.Test`

Direct Known Subclasses:
  `CvsChangeLogCommandTest`, `CvsCheckoutCommandTest`, `CvsUpdateCommandTest`

    public abstract class AbstractCvsScmTest
    extends ScmTestCase

Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
`AbstractCvsScmTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `assertBetween​(long small, long large, long value)`
`protected ScmRepository` `getScmRepository()`
`void` `setUp()`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, printSystemCmdUnavail, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer, tearDown`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractCvsScmTest

    public AbstractCvsScmTest()

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Overrides:
  `setUp` in class `ScmTestCase`
Throws:
  `java.lang.Exception`

#### getScmRepository

    protected ScmRepository getScmRepository()
                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### assertBetween

    public void assertBetween​(long small,
                              long large,
                              long value)